Subject: Summary:The new C++ standard and Standard Template Library(STL)

From: Fenglou Mao <[email-masked]>
Date: Wed, 13 Jan 1999 11:15:54 -0800 (PST)

Dear all,

I have asked a question about the new C++ standard and Standard
Template Library(STL) yesterday. I got many replies. Below is something
useful:
1. The new ANSI/ISO C++ standard is not released, but a draft
version has existed, you can get the online document from:

http://www.maths.warwick.ac.uk/cpp/pub/wp/html/cd2/
ftp://research.att.com/dist/c++std/WP/CD2/

The file "body.pdf" is most important, but "content.pdf", "index.pdf",
are very useful, "coversheet.pdf" and "forward.pdf" are both one page
announcement.
I heard that we can get a paper copy by sending a request to

        Standards Secretariat
        CBEMA
        311 First St NW, Suite 500
        Washington, DC 20001 

Ask for the latest version of `Working Paper for Draft Proposed American
National Standard for Information Systems -- Programming Language C++'.
I do not know if they need money, and how much it will cost.

2. In the C++ standard above, there was a Standard library, the "Standard
Template Library(STL)" is a part of the "Standard library", but I think the
STL is much useful for Computational Chemists.
There is a good collection of links in yahoo, Follow the link:
      Yahoo
      Computers_and_Internet
      Programming_Languages
      C_and_C++
      Class_Libraries
      Standard_Template_Library
Perhaps the best website is in SGI:
      http://www.sgi.com/Technology/STL/

Sincerely Yours,

FengLou Mao
*******************************
ADD:Mr. FengLou Mao
    Peking University
    BeiJing
    P.R.China
Tel:86-10-62751490
Fax:86-10-62751725